<section ng-controller="ShowStratCtrl">
<div class="container" ng-show="hasPendingRequests()">
    <div class="loader">
        <div class="loader--dot"></div>
        <div class="loader--dot"></div>
        <div class="loader--dot"></div>
        <div class="loader--dot"></div>
        <div class="loader--dot"></div>
        <div class="loader--dot"></div>
        <div class="loader--text"></div>
    </div>
</div>
<div class="container-fluid" ng-hide="hasPendingRequests()">
    <div class="row">
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-12">
                    <ol class="breadcrumb">
                        <li><a href="/artefacts/{{ artefactName }}">From Artefact</a></li>
                        <li class="minititle">{{ stratigraphy.description }}</li>
                    </ol>
                </div>
                <div class="col-md-6">
                    <h1 class="ng-binding minititle">Observation mode:</h1>
                     <toggle-switch
                            ng-model="stratigraphy.observationMode.binocular"
                            ng-change="onObservationModeChange()"
                            on-label="Binocular"
                            off-label="Cross-section"
                            class="switch-large switch-default">
                    </toggle-switch>
                </div>
                <div class="col-md-6" ng-if="stratigraphy.observationMode.binocular==false && stratigraphy.morphologyObservationInstrumentCSFamily">
                    <h1 class="ng-binding minititle">{{ stratigraphy.morphologyObservationInstrumentCSFamily.name }}</h1>
                        <ui-select id="selectStratigraphyObservationInstrument"
                                   ng-model="stratigraphy.selected.morphologyObservationInstrumentCSFamily"
                                   on-select="onObservationModeChange()" on-remove="onObservationModeChange()">
                            <ui-select-match allow-clear="true" placeholder="Select Instrument">
                           <span uib-tooltip="{{ $select.selected.description }}">{{$select.selected.real_name}}
                               <div style="display:inline-block; float: right; width:60%; height: 1em;"
                                    ng-style="$select.selected.color ? {'background-color':$select.selected.color} : ''"></div>
                           </span>
                            </ui-select-match>
                            <ui-select-choices group-by="getGroup"
                                               repeat="item in (this.stratigraphy.morphologyObservationInstrumentCSFamily.characteristics | filter: $select.search)">
                                <div uib-tooltip="{{ item.description }}">
                                    <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true"
                                         heigth="100px">
                                    <span ng-bind-html="item.real_name | highlight: $select.search">
                               </span>
                                    <div style="display:inline-block; float: right; width:60%; height: 1em;"
                                         ng-style="item.color ? {'background-color':item.color} : ''"></div>
                                </div>
                            </ui-select-choices>
                        </ui-select>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-3 text-center" ng-controller="ModalAddStrataCtrl">
                    <script type="text/ng-template" id="modalAddStrata.html">
                        <div class="modal-header">
                            <h3 class="modal-title">Add a stratum</h3>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="form-group">
                                    <label for="natureFamily" tooltip-placement="left"
                                           uib-tooltip="The stratum is the basic descriptive unit of the method. A stratum is defined by a volume of material presenting a set of characters appearing homogeneous at the scale at which it is observed.">
                                        Stratum Type
                                    </label>
                                    <ui-select ng-model="$parent.nature" id="natureFamily">
                                        <ui-select-match>
                                            <span ng-bind="$select.selected.real_name"></span>
                                        </ui-select-match>
                                        <ui-select-choices
                                                repeat="item in (natures | filter: $select.search) track by item.name">
                                            <div uib-tooltip="{{ item.description }}">
                                                <span  ng-bind-html="item.real_name +' (' + item.code + ')' | highlight:$select.search"></span>
                                            </div>
                                        </ui-select-choices>
                                    </ui-select>

                                </div>
                            </form>
                        </div>

                        <div class="modal-footer">
                            <button class="btn btn-primary" ng-click="ok()">OK</button>
                            <button class="btn btn-warning" ng-click="cancel()">Cancel</button>
                        </div>
                    </script>
                    <button type="button" class="btn btn-primary" ng-click="open()">
                        <span class="glyphicon glyphicon glyphicon-plus" aria-hidden="true"></span>
                        Add a stratum
                    </button>
                </div>
                <div class="col-md-2 text-center">
                    <div ng-controller="ModalSaveStrataCtrl">
                        <script type="text/ng-template" id="saveStrataContent.html">
                            <div>
                                <div class="modal-header">
                                    <h3 class="modal-title">Save this stratum</h3>
                                </div>
                                <div class="modal-body">
                                    <p>Do you really want to save this stratum ?</p>
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-primary" ng-click="ok()">OK</button>
                                    <button class="btn btn-warning" ng-click="cancel()">Cancel</button>
                                </div>
                            </div>
                        </script>

                        <script type="text/ng-template" id="sendStrataContent.html">
                            <div>
                                <div class="modal-header">
                                    <h3 class="modal-title">Save this stratum</h3>
                                </div>
                                <div class="modal-body">
                                    <p>You're not logged in! provide an email address to receive the link.</p>
                                    <input ng-model="email_to" type="text" placeholder="john.doe@example.com"></input>
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-primary" ng-click="send()">Send</button>
                                    <button class="btn btn-warning" ng-click="cancel()">Cancel</button>
                                </div>
                            </div>
                        </script>

                        <button ng-show="is_authenticated" ng-click="open('sm')" type="button" class="btn btn-primary">
                            <span class="glyphicon glyphicon-floppy-saved" aria-hidden="true"></span>
                            Save
                        </button>

                        <button ng-show="!is_authenticated" ng-click="open_send('sm')" type="button" class="btn btn-primary">
                            <span class="glyphicon glyphicon-floppy-saved" aria-hidden="true"></span>
                            Save
                        </button>

                    </div>
                </div>
                <div class="col-md-2 text-center">
                        <a ng-href="/micorr/#/stratigraphy/{{ stratigraphyName }}/find-similar" role="button" class="btn btn-primary">
                            <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
                            Find similar
                        </a>

                </div>
                <div class="col-md-2 text-center">
                    <div ng-controller="ModalExportStrataCtrl">
                        <script type="text/ng-template" id="exportStrataContent.html">
                            <div class="modal-header">
                                <h3 class="modal-title">Export to PNG</h3>
                            </div>
                            <div class="modal-body">
                                <p>Right click to download a stratum.</p>
                                <img ng-src="/{{ imgUrl }}"/>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-primary" ng-click="ok()">OK</button>
                            </div>
                        </script>

                        <button ng-click="open('lg')" type="button" class="btn btn-primary">
                            <span class="glyphicon glyphicon-share-alt" aria-hidden="true"></span>
                            Export to PNG
                        </button>
                    </div>
                </div>
                <div class="col-md-3 text-center">
                    <!-- DELETE STRATA BUTTON
                    <div ng-controller="ModalDelStrataCtrl">
                        <script type="text/ng-template" id="delStrataContent.html">
                            <div class="modal-header">
                                <h3 class="modal-title">Delete this stratum</h3>
                            </div>
                            <div class="modal-body">
                                <p>Do you really want to delete this stratum ?</p>
                            </div>
                            <div class="modal-footer">
                                <button class="btn btn-primary" ng-click="ok()">OK</button>
                                <button class="btn btn-warning" ng-click="cancel()">Cancel</button>
                            </div>
                        </script>

                        <button class="btn btn-primary" ng-click="open('sm')">
                            <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>
                            Delete this stratum
                        </button>
                    </div>
                    -->
                </div>
            </div>

        </div>
    </div>
</div>

<div class="container-fluid" ng-hide="hasPendingRequests()">
<div class="row">
<div class="col-md-6">
<div ng-controller="TabsStrataCtrl">
<div ng-hide="showTabForms">
    <div class="jumbotron">
        <h1>Stratigraphy visualizer</h1>

        <p>Please select or add a stratum to show its properties.</p>
    </div>
</div>

<div class="row-fluid" ng-show="showTabForms">
    <div class="col-md-6">
        <h1 class="ng-binding minititle">
            {{ natureFamilyname }} Stratum : {{ strataName }}
        </h1>
    </div>
</div>

<uib-tabset ng-show="showTabForms" justified="true" class="clearfix">
<uib-tab heading="Morphology" active="activeMorphologyTab" uib-tooltip="{{descriptions.fgMorphology}}">
    <form>
       <div ng-controller="StratMorphologyCtrl" class="row-fluid">
           <fieldset ng-repeat="fieldset in fieldsets | filter:showFamily ">
               <legend ng-if="fieldset.name!='default'">{{ fieldset.name }}</legend>
               <div class="col-md-6 form-group" ng-repeat="family in fieldset.families | filter:showFamily  track by family.uid">
                   <label for="{{ 'morphology' + family.name }}">
                       <span class="glyphicon" ng-class="family.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'"
                             }} uib-tooltip="{{ (family.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                       <span uib-tooltip="{{ descriptions[family.uid] }}"> {{ family.name }}
                        <span class="unit" ng-if="family.unit">{{ '(in ' + family.unit +')'}}</span>
                    </span>
                   </label>
                   <ui-select ng-if="!family.variable" id="{{ 'morphology' + family.name }}"
                              dynamic-model="'selected.'+family.uid" on-select="upMorpho()" on-remove="upMorpho()">
                       <ui-select-match allow-clear="true" placeholder="Select characteristic">
                           <span uib-tooltip="{{ $select.selected.description }}">{{$select.selected.real_name}}
                               <div style="display:inline-block; float: right; width:60%; height: 1em;" ng-style="$select.selected.color ? {'background-color':$select.selected.color} : ''"></div>
                           </span>
                       </ui-select-match>
                       <ui-select-choices  group-by="getGroup"
                                          repeat="item in (this[family.uid] | showCharacteristic:StratigraphyData:family | filter: $select.search) track by item.name">
                           <div uib-tooltip="{{ item.description }}">
                               <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true"
                                    heigth="100px">
                               <span ng-bind-html="item.real_name | highlight: $select.search">
                               </span>
                               <div style="display:inline-block; float: right; width:60%; height: 1em;" ng-style="item.color ? {'background-color':item.color} : ''" ></div>
                           </div>
                       </ui-select-choices>
                   </ui-select>
                   <input ng-if="family.variable" id="{{ 'morphology' + family.name }}" class="form-control"
                          dynamic-model="'selected.'+family.uid" type="text" smart-float ng-change="upMorpho()">
                   </input>
               </div>
           </fieldset>
       </div>
    </form>
</uib-tab>
<uib-tab heading="Texture" uib-tooltip="{{descriptions.fgTexture}}">
    <form ng-controller="StratTextureCtrl">
        <div class="row-fluid">
           <fieldset ng-repeat="fieldset in fieldsets | filter:showFamily ">
                <legend ng-if="fieldset.name!='default'">{{ fieldset.name }}</legend>
            <div class="col-md-6 form-group" ng-repeat="family in fieldset.families track by family.uid">
                <label class="control-label" for="{{ 'texture' + family.name }}">
                <span class="glyphicon" ng-class="family.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'" }}
                      uib-tooltip="{{ (family.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                    <span uib-tooltip="{{ family.description }}"> {{ family.name }}
                    <span class="unit" ng-if="family.unit">{{ '(in ' + family.unit +')'}}</span>
                </span>
                </label>
                <ui-select ng-if="!family.variable" id="{{ 'texture' + family.name }}"
                           theme="bootstrap" dynamic-model="'selected.'+family.uid" on-select="upTexture()"
                           on-remove="upTexture()">
                     <ui-select-match allow-clear="true" placeholder="Select characteristic">
                         <span uib-tooltip="{{ $select.selected.description }}" >{{$select.selected.real_name}}</span>
                    </ui-select-match>
                    <ui-select-choices null-option="nullOption" repeat="item in (this[family.uid] | showCharacteristic:StratigraphyData:family  | filter: $select.search) track by item.name">
                        <div uib-tooltip="{{ item.description }}">
                            <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true" heigth="100px">
                            <span ng-bind-html="item.real_name | highlight: $select.search"></span>
                        </div>
                    </ui-select-choices>
                </ui-select>
                <input ng-if="family.variable" id="{{ 'texture' + family.name }}" class="form-control"
                       dynamic-model="'selected.'+family.uid" type="text" smart-float
                       ng-change="upTexture()">
                </input>
            </div>
           </fieldset>
        </div>
    </form>
</uib-tab>

    <uib-tab heading="Microstructure" uib-tooltip="{{descriptions.fgMicrostructure}}">
    <form ng-controller="StratNewMicrostructureCtrl">
        <div class="row-fluid">
            <div class="col-md-12 form-group" ng-repeat="family in familyGroup | filter : showFamily track by family.uid">
                <label class="control-label" for="{{ 'microstructure' + family.name }}">
                <span class="glyphicon" ng-class="family.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'" }}
                      uib-tooltip="{{ (family.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                    <span uib-tooltip="{{ family.description }}"> {{ family.name }}
                    <span class="unit" ng-if="family.unit">{{ '(in ' + family.unit +')'}}</span>
                </span>
                </label>
                <ui-select ng-if="!family.variable" id="{{ 'microstructure' + family.name }}"
                           theme="bootstrap" dynamic-model="'selected.'+family.uid" on-select="updateModel()"
                           on-remove="updateModel()">
                     <ui-select-match allow-clear="true" placeholder="Select characteristic">
                         <span uib-tooltip="{{ $select.selected.description }}" >{{$select.selected.real_name}}</span>
                    </ui-select-match>
                    <ui-select-choices null-option="nullOption" group-by="getGroup" repeat="item in (this[family.uid] | showCharacteristic:StratigraphyData:family  | filter: $select.search) track by item.name">
                        <div uib-tooltip="{{ item.description }}">
                            <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true" heigth="100px">
                            <span ng-bind-html="item.real_name | highlight: $select.search"></span>
                        </div>
                    </ui-select-choices>
                </ui-select>
                <input ng-if="family.variable" id="{{ 'microstructure' + family.name }}" class="form-control"
                       dynamic-model="'selected.'+family.uid" type="text" smart-float
                       ng-change="updateModel()">
                </input>
                <div class="col-md-12 form-group" ng-if="selected[family.uid].subcharacteristics.length">
                    <label class="control-label"><span class="glyphicon glyphicon-eye-open"
                                                       title="visual impact on the stratum"></span>
                        <span title="{{ descriptions.submmicrostructureFamily }}">{{ selected[family.uid].real_name + 'sub-characteristics' | capitalize }}</span>
                    </label>
                    <ui-select id="subMicrostructureSelect" class="form-control" multiple
                               theme="bootstrap"
                               ng-model="selectedSubC[family.uid]" on-remove="updateModel()" on-select="updateModel()">
                        <ui-select-match allow-clear="true" placeholder="Select sub characteristics">
                            {{$item.sub_real_name}}
                        </ui-select-match>
                        <ui-select-choices group-by="'category'"
                                           repeat="item in (this.selected[family.uid].subcharacteristics| showCharacteristic:StratigraphyData:family  | filter:{variable:false} | filter: $select.search) track by item.name">
                            <span ng-bind-html="item.sub_real_name | highlight: $select.search"></span>
                        </ui-select-choices>
                    </ui-select>
                </div>
                <div class="col-md-6 form-group" ng-repeat="item in (this.selected[family.uid].subcharacteristics| filter:{variable:true}) track by item.name">
                    <label for="{{ 'imp_' + item.name }}">
                        <span class="glyphicon" ng-class="item.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'" }}
                            uib-tooltip="{{ (item.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                        <span uib-tooltip="{{ item.description }}"> {{ item.sub_real_name }}
                        <span class="unit" ng-if="item.unit">{{ '(in ' + item.unit +')'}}</span>
                        </span>
                    </label>
                    <input id="{{ 'imp_' + item.name }}" class="form-control"
                           dynamic-model="'selectedSubC.'+item.name" type="text" smart-float
                           ng-change="updateModel()">
                    </input>
                </div>
            </div>
        </div>
    </form>
</uib-tab>

<uib-tab heading="Composition"  title="{{descriptions.fgComposition}}">
    <form ng-controller="StratNewCompositionCtrl">
        <div class="row-fluid">
            <fieldset ng-repeat="fieldset in fieldsets | filter:showFamily">
                <legend ng-if="fieldset.name!='default'">{{ fieldset.name }}</legend>
                <div class="col-md-12 form-group" ng-repeat="family in fieldset.families | filter:showFamily track by family.uid">
                    <label class="control-label" for="{{ 'composition' + family.uid }}">
                <span class="glyphicon" ng-class="family.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'" }}
                      uib-tooltip="{{ (family.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                        <span uib-tooltip="{{ family.description }}"> {{ family.name }}
                        <span class="unit" ng-if="family.unit">{{ '(in ' + family.unit +')'}}</span>
                    </span>
                    </label>
                    <!-- Composition Element / compound selector -->
                    <ui-select ng-if="family.IS_LIST_OF.family=='elementFamily'" id="{{ 'composition' + family.uid }}"
                               multiple
                               theme="bootstrap" dynamic-model="'selected.'+family.uid" on-select="updateModel()"
                               on-remove="updateModel()">
                        <ui-select-match allow-clear="true" placeholder="Select element(s) by order of importance">
                            <span uib-tooltip="{{ $item.real_name + ' (' + $item.category + ')' }}">{{$item.symbol}}</span>
                        </ui-select-match>
                        <ui-select-choices null-option="nullOption" group-by="getGroup"
                                           repeat="item in (this[family.uid] | filter: $select.search) track by item.symbol">
                            <div uib-tooltip="{{ item.description }}">
                                <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true"
                                     heigth="100px">
                                <span ng-bind-html="item.symbol | highlight: $select.search"></span>
                                <span ng-bind-html="item.real_name | highlight: $select.search"></span>
                            </div>
                        </ui-select-choices>
                    </ui-select>
                    <!-- List of Composition Element amount variables -->
                    <div ng-if="family.IS_LIST_OF.family=='elementFamily' && family.IS_LIST_OF.amount_unit && selected[family.uid]">
                        <div  ng-repeat="elemvar in selected[family.uid] track by elemvar.symbol" class="col-md-6">
                        <label  for="{{ 'composition' + family.uid +elemvar.name }}">
                        <span class="glyphicon" ng-class="elemvar.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'"
                              uib-tooltip="{{ (elemvar.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                            <span uib-tooltip="{{ elemvar.description }}"> {{ elemvar.symbol}} {{elemvar.real_name}}
                        <span class="unit"> amount (in {{ family.IS_LIST_OF.amount_unit }})</span>
                        </span>
                        </label>
                        <input id="{{ 'composition' + family.uid +elemvar.name }}" class="form-control"
                                ng-model="selectedAmount[family.uid][elemvar.symbol]"
                               type="text" smart-float ng-change="updateModel()">
                        </input>
                        </div>
                    </div>
                    <ui-select ng-if="family.IS_LIST_OF.family=='compoundFamily'" id="{{ 'composition' + family.uid }}"
                               theme="bootstrap" dynamic-model="'selected.'+family.uid" on-select="updateModel()"
                               on-remove="updateModel()">
                        <ui-select-match allow-clear="true" placeholder="Select compound">
                            <span uib-tooltip="{{ $select.selected.description }}">{{$select.selected.real_name}}</span>
                        </ui-select-match>
                        <ui-select-choices null-option="nullOption" group-by="getGroup"
                                           repeat="item in (this[family.uid] | filter: $select.search | orderBy:'real_name') track by item.name">
                            <div uib-tooltip="{{ item.description }}">
                                <span ng-bind-html="item.real_name | highlight: $select.search"></span>
                            </div>
                        </ui-select-choices>
                    </ui-select>

                    <!-- Composition:  standard characteristic list -->
                    <ui-select ng-if="!family.variable && !family.IS_LIST_OF.family" id="{{ 'composition' + family.uid }}"
                               theme="bootstrap" dynamic-model="'selected.'+family.uid" on-select="updateModel()"
                               on-remove="updateModel()">
                        <ui-select-match allow-clear="true" placeholder="Select characteristic">
                            <span uib-tooltip="{{ $select.selected.description }}">{{$select.selected.real_name}}</span>
                        </ui-select-match>
                        <ui-select-choices null-option="nullOption" group-by="getGroup"
                                           repeat="item in (this[family.uid] | showCharacteristic:StratigraphyData:family  | filter: $select.search) track by item.name">
                            <div uib-tooltip="{{ item.description }}">
                                <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true"
                                     heigth="100px">
                                <span ng-bind-html="item.real_name | highlight: $select.search"></span>
                            </div>
                        </ui-select-choices>
                    </ui-select>

                    <!-- Composition variable -->
                    <input ng-if="family.variable" id="{{ 'composition' + family.uid }}" class="form-control"
                           dynamic-model="'selected.'+family.uid" type="text" smart-float
                           ng-change="updateModel()">
                    </input>
                </div>
            </fieldset>
        </div>
    </form>
</uib-tab>
<uib-tab heading="Interface" active="activeTabInterface" uib-tooltip="{{descriptions.fgInterface}}">
    <div ng-controller="StratInterfaceCtrl"  class="row-fluid">
           <fieldset ng-repeat="fieldset in fieldsets | filter:showFamily">
                <legend ng-if="fieldset.name!='default'">{{ fieldset.name }}</legend>
            <div class="col-md-6 form-group" ng-repeat="family  in fieldset.families track by family.uid">
            <label for="{{ 'interface' + family.name }}">
                <span class="glyphicon" ng-class="family.visible ? 'glyphicon-eye-open' : 'glyphicon-eye-close'" }}
                      uib-tooltip="{{ (family.visible ? '' :'no') + 'visual impact on the stratum'}}"></span>
                <span uib-tooltip="{{ family.description }}"> {{ family.name }}
                        <span class="unit" ng-if="family.unit">{{ '(in ' + family.unit +')'}}</span>
                </span>
            </label>
            <ui-select ng-if="!family.variable" id="{{ 'interface' + family.name }}"
                    dynamic-model="'selected.'+family.uid" on-select="upModel()"
                    on-remove="upModel()">
                <ui-select-match allow-clear="true" placeholder="Select characteristic">
                    <span uib-tooltip="{{ $select.selected.description }}">{{$select.selected.real_name}}</span>
                </ui-select-match>
                <ui-select-choices null-option="nullOption" group-by="getGroup"
                                   repeat="item in (this[family.uid] | showCharacteristic:StratigraphyData:family  | filter: $select.search) track by item.name">
                    <div uib-tooltip="{{ item.description }}">
                        <img ng-if="item.image_url" ng-src="{{ item.image_url }}" aria-hidden="true" heigth="100px">
                        <span ng-bind-html="item.real_name | highlight: $select.search"></span>
                    </div>
                </ui-select-choices>
            </ui-select>
            <input ng-if="family.variable" id="{{ 'interface' + family.name }}" class="form-control"
                   dynamic-model="'selected.'+family.uid" type="text" smart-float
                    ng-change="updateModel()">
            </input>
        </div>
     </fieldset>
    </div>
</uib-tab>
</uib-tabset>
</div>

</div>
    <div class="col-md-6">
        <div id="stratasvg">
            <div id="stratasvg_{{$index}}" class="row ng-class:{current_strata:StratigraphyData.selectedStrata==$index};" ng-repeat="stratum in stratas track by stratum.index">
                <stratainfo stratigraphy="stratigraphy" index="$index" on-del="removeStrata(index)"
                            on-down="movestratadown(index)" on-up="movestrataup(index)" update="update(index,isInterface)"
                            set-interface-tab="setInterfaceTab(val)">
                </stratainfo>
                <strata stratigraphy="stratigraphy" index="$index" stratum="stratum" update="update(index,isInterface)" set-interface-tab="setInterfaceTab(val)"></strata>
            </div>
        </div>
    </div>

</div>
</div>

</section>
